Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IIOP::ListenPointList Class Reference

`#include <IIOPC.h>`

Inheritance diagram for IIOP::ListenPointList:

[legend]
Collaboration diagram for IIOP::ListenPointList:

[legend]
List of all members.

## Public Types
typedef ListenPointList_var | _var_type
## Public Methods
| ListenPointList (void)
| ListenPointList (CORBA::ULong max)
| ListenPointList (CORBA::ULong max, CORBA::ULong length, ListenPoint *buffer, CORBA::Boolean release=0)
| ListenPointList (const ListenPointList &)
| ~ListenPointList (void)
## Static Public Methods
void | _tao_any_destructor (void *)

## Member Typedef Documentation

typedef ListenPointList_var IIOP::ListenPointList::_var_type

## Constructor & Destructor Documentation

IIOP::ListenPointList::ListenPointList | ( | void |  | ) |

IIOP::ListenPointList::ListenPointList | ( | CORBA::ULong | max | ) |

IIOP::ListenPointList::ListenPointList | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | ListenPoint * | buffer,
|  | CORBA::Boolean | release = 0
| ) |

IIOP::ListenPointList::ListenPointList | ( | const ListenPointList & |  | ) |

IIOP::ListenPointList::~ListenPointList | ( | void |  | ) |

## Member Function Documentation

void IIOP::ListenPointList::_tao_any_destructor | ( | void * |  | ) | `[static]`

The documentation for this class was generated from the following files:

- IIOPC.h
- IIOPC.cpp